TextToSpeechSetRate(3dtk)

Name

TextToSpeechSetRate - Sets the text-to-speech speaking rate.

Syntax
    MMRESULT TextToSpeechSetRate (LPTTS_HANDLE_T phTTS,
                                 DWORD dwRate)

Parameters

LPTTS_HANDLE_T phTTS
    Specifies an opened text-to-speech handle.

DWORD dwRate
    Sets the speaking rate. Valid values range from 75 to 600 words per minute.

Description

This function sets the text-to-speech speaking rate. The speaking rate change is not effective until the next phrase boundary. All the queued audio encountered before the phrase boundary is unaffected.

Return Values

This function returns a value of type MMRESULT. The value is zero if the function is successful. The return value is one of the following constants:

Constant | Description
MMSYSERR_NOERROR
 | Normal successful completion (zero).
MMSYSERR_INVALPARAM
 | An invalid parameter was passed.
MMSYSERR_INVALHANDLE
 | The text-to-speech handle was invalid.

See Also

TextToSpeechGetRate(3dtk)